## Xfce Kiosk functions

Xfce Kiosk functions — Xfce Kiosk mode support functions.

## Functions

XfceKiosk * | xfce_kiosk_new ()
gboolean | xfce_kiosk_query ()
void | xfce_kiosk_free ()

## Types and Values

| XfceKiosk

## Includes

    #include <libxfce4util/libxfce4util.h>

## Description

This module provides a simple Kiosk mode for Xfce.

## Functions

### xfce_kiosk_new ()

    XfceKiosk *
    xfce_kiosk_new (const gchar *module);

FIXME

#### Returns

Since 4.2

### xfce_kiosk_query ()

    gboolean
    xfce_kiosk_query (const XfceKiosk *kiosk,
                      const gchar *capability);

Queries the `kiosk` object for a given capability and returns `TRUE` if the current user has the `capability` , else `FALSE`.

#### Parameters

kiosk | A XfceKiosk. |
capability | The name of the capability to check. |

#### Returns

`TRUE` if the current user has the `capability` , else `FALSE`.

Since 4.2

### xfce_kiosk_free ()

    void
    xfce_kiosk_free (XfceKiosk *kiosk);

Frees the `kiosk` object.

#### Parameters

kiosk | A XfceKiosk. |

Since 4.2

## Types and Values

### XfceKiosk

    typedef struct _XfceKiosk XfceKiosk;